<template>
  <div class="grid grid-header-invoices">
    <div class="header-text">
      <h2>Invoices</h2>
      <p class="text-body-a">There are {{ totalInvoices }} total invoices.</p>
    </div>
    <div class="flex controls">
      <invoice-filter @change-filter="changeFilter"></invoice-filter>
      <base-button
        class="btn-new-invoice"
        @click="newInvoice"
        mode="primary"
        icon="icon-plus.svg"
      >
        <p>New <span class="d-block-ls">Invoice</span></p>
      </base-button>
    </div>
  </div>
</template>

<script>
import InvoiceFilter from "./InvoiceFilter.vue";

export default {
  emits: ["new-invoice", "change-filter"],
  components: {
    InvoiceFilter,
  },

  props: ["total"],
  computed: {
    totalInvoices() {
      return this.total ? this.total : 0;
    },
  },
  methods: {
    newInvoice() {
      this.$emit("new-invoice");
    },
    changeFilter(event) {
      this.$emit("change-filter", event);
    },
  },
};
</script>

<style scoped>
.grid-header-invoices {
  --gap: 0;
  grid-template-columns: max-content max-content;
  justify-content: space-between;
  align-items: center;
}
.controls {
  --gap: 1rem;
}
.header-text h2 {
  margin-bottom: 0.5rem;
}

@media (min-width: 56.25em) {
  .grid-header-invoices {
    grid-template-columns: 1fr max-content max-content;
  }
}
</style>
